## python-pygit2 1.14.1

=== Makefile ===
.PHONY: build html

build:
	OPENSSL_VERSION=3.1.5 LIBSSH2_VERSION=1.11.0 LIBGIT2_VERSION=1.7.2 sh build.sh

html: build
	make -C docs html

=== debian/changelog ===
python-pygit2 (1.14.1-1) unstable; urgency=medium

  * New upstream version 1.14.1
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Tue, 13 Feb 2024 15:44:41 +0100

python-pygit2 (1.14.0-1) unstable; urgency=medium

  * New upstream version 1.14.0
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Sun, 28 Jan 2024 16:06:02 +0100

python-pygit2 (1.13.3-1) unstable; urgency=medium

  * New upstream version 1.13.3
  * Refresh patches (no functional changes)
  * Reformat d/control

 -- Timo Röhling <roehling@debian.org>  Sat, 02 Dec 2023 20:45:00 +0100

python-pygit2 (1.13.0-1) experimental; urgency=medium

  * New upstream version 1.13.0
  * Bump dependency to libgit2 ~= 1.7

 -- Timo Röhling <roehling@debian.org>  Fri, 08 Sep 2023 10:55:19 +0200

=== debian/control ===
Source: python-pygit2
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ondřej Nový <onovy@debian.org>,
           Utkarsh Gupta <utkarsh@debian.org>,
	   Timo Röhling <roehling@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 libffi-dev,
 libgit2-dev (>= 1.7),
 libgit2-dev (<< 1.8~),
 libpython3-all-dev,
 python3-all-dev:any,
 python3-cffi:native,
 python3-pycparser:native,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-six,
 python3-sphinx-rtd-theme:native <!nodoc>,
 python3-sphinx:native <!nodoc>,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pygit2
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pygit2.git
Homepage: https://github.com/libgit2/pygit2
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no
Description: Python bindings for libgit2
 The Pygit2 module provides a set of Python bindings to the libgit2 shared
 library. libgit2 implements the core of Git. Pygit2 works with Python 2.7,
 3.x and pypy.

Package: python3-pygit2
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 openssl,
Suggests:
 python-pygit2-doc,
Description: ${source:Synopsis} (Python 3 module)
 ${source:Extended-Description}
 .
 This package contains the Python 3 module.

Package: python-pygit2-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: ${source:Synopsis} (Documentation)
 ${source:Extended-Description}
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pygit2
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
export PYBUILD_AFTER_INSTALL_python3=cd docs && PYTHONPATH={build_dir} {interpreter} -m sphinx -b html . $(CURDIR)/debian/python-pygit2-doc/usr/share/doc/python-pygit2-doc/html
endif

%:
	dh $@ --buildsystem=pybuild

## python-pygit2 1.16.0

=== debian/changelog ===
python-pygit2 (1.16.0-2) unstable; urgency=medium

  * Fix GenericIterator class interface (Closes: #1087432)

 -- Timo Röhling <roehling@debian.org>  Tue, 19 Nov 2024 09:34:19 +0100

python-pygit2 (1.16.0-1) unstable; urgency=medium

  * Update d/watch to latest GitHub recipe
  * New upstream version 1.16.0
  * Refresh patches (no functional changes)
  * Reactivate callback test after libgit2 fix

 -- Timo Röhling <roehling@debian.org>  Tue, 15 Oct 2024 11:04:57 +0200

python-pygit2 (1.15.1-5) unstable; urgency=medium

  * Reupload of 1.15.1-4.

 -- Timo Röhling <roehling@debian.org>  Mon, 07 Oct 2024 09:51:18 +0200

python-pygit2 (1.15.1-4) unstable; urgency=medium

  * Build documentation with default Python interpreter
  * Skip flaky callback test

 -- Timo Röhling <roehling@debian.org>  Sun, 06 Oct 2024 22:59:46 +0200

python-pygit2 (1.15.1-3) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Sat, 05 Oct 2024 01:06:47 +0200

python-pygit2 (1.15.1-2) experimental; urgency=medium

  * Revert const correctness change from libgit2 1.8.1

 -- Timo Röhling <roehling@debian.org>  Sun, 15 Sep 2024 10:04:56 +0200

python-pygit2 (1.15.1-1) experimental; urgency=medium

  * New upstream version 1.15.1
  * Refresh patches (no functional changes)
  * Reformat d/control

 -- Timo Röhling <roehling@debian.org>  Fri, 12 Jul 2024 16:13:34 +0200

python-pygit2 (1.15.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Remove myself from Uploaders.

  [ Timo Röhling ]
  * New upstream version 1.15.0
  * Refresh patches (no functional changes)
  * Bump dependency to libgit2 ~= 1.8
  * Migrate to PEP 517 build
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Mon, 20 May 2024 12:00:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,26 +2,26 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Ondřej Nový <onovy@debian.org>,
-           Utkarsh Gupta <utkarsh@debian.org>,
-	   Timo Röhling <roehling@debian.org>,
+Uploaders:
+ Utkarsh Gupta <utkarsh@debian.org>,
+ Timo Röhling <roehling@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
  libffi-dev,
- libgit2-dev (>= 1.7),
- libgit2-dev (<< 1.8~),
+ libgit2-dev (<< 1.9~),
+ libgit2-dev (>= 1.8.2~rc1),
  libpython3-all-dev,
+ pybuild-plugin-pyproject,
  python3-all-dev:any,
  python3-cffi:native,
  python3-pycparser:native,
  python3-pytest <!nocheck>,
  python3-setuptools,
- python3-six,
  python3-sphinx-rtd-theme:native <!nodoc>,
  python3-sphinx:native <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pygit2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pygit2.git
 Homepage: https://github.com/libgit2/pygit2
@@ -35,10 +35,10 @@
 Package: python3-pygit2
 Architecture: any
 Depends:
+ openssl,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
- openssl,
 Suggests:
  python-pygit2-doc,
 Description: ${source:Synopsis} (Python 3 module)

## python-pygit2 1.17.0

=== debian/changelog ===
python-pygit2 (1.17.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 4.7.2
  * Drop old FSF snail mail address from d/copyright

 -- Timo Röhling <roehling@debian.org>  Thu, 03 Apr 2025 17:39:34 +0200

python-pygit2 (1.17.0-1) experimental; urgency=medium

  * New upstream version 1.17.0
  * Update patches
    - Drop const correctness fix (applied by upstream)
  * Bump dependency to libgit2 ~= 1.9

 -- Timo Röhling <roehling@debian.org>  Sun, 12 Jan 2025 00:50:32 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
  libffi-dev,
- libgit2-dev (<< 1.9~),
- libgit2-dev (>= 1.8.2~rc1),
+ libgit2-dev (<< 1.10~),
+ libgit2-dev (>= 1.9.0),
  libpython3-all-dev,
  pybuild-plugin-pyproject,
  python3-all-dev:any,
@@ -21,7 +21,7 @@
  python3-setuptools,
  python3-sphinx-rtd-theme:native <!nodoc>,
  python3-sphinx:native <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pygit2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pygit2.git
 Homepage: https://github.com/libgit2/pygit2

=== debian/watch ===
version=4
opts=\
 filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
 downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
 searchmode=plain \
 https://api.github.com/repos/libgit2/pygit2/git/matching-refs/tags/ \
 https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@

## python-pygit2 1.18.1

=== debian/changelog ===
python-pygit2 (1.18.1-1) unstable; urgency=medium

  * New upstream version 1.18.1
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Wed, 13 Aug 2025 14:32:28 +0200

## python-pygit2 1.18.2

=== Makefile ===
.PHONY: build html

build:
	OPENSSL_VERSION=3.3.3 LIBSSH2_VERSION=1.11.1 LIBGIT2_VERSION=1.9.1 sh build.sh

html: build
	make -C docs html

=== debian/changelog ===
python-pygit2 (1.18.2-2) unstable; urgency=medium

  * Testsuite needs ca-certificates
  * Fix integer size mismatch in blob.diff (Closes: #1111981)
  * Migrate debian/watch to version 5 format

 -- Timo Röhling <roehling@debian.org>  Sat, 13 Sep 2025 19:39:59 +0200

python-pygit2 (1.18.2-1) unstable; urgency=medium

  * New upstream version 1.18.2
  * Update patches.
    Obsolete: 0006-Fix-GenericIterator-class-interface.patch

 -- Timo Röhling <roehling@debian.org>  Tue, 19 Aug 2025 09:55:20 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
+ ca-certificates <!nocheck>,
  libffi-dev,
  libgit2-dev (<< 1.10~),
  libgit2-dev (>= 1.9.0),

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pygit2
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=pybuild

html_doc_dir = $(CURDIR)/debian/python-pygit2-doc/usr/share/doc/python-pygit2-doc
execute_after_dh_auto_install:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C docs html \
		BUILDDIR="$(html_doc_dir)" \
		PYTHONPATH="$(shell pybuild --print {build_dir} --interpreter=python3)"
	rm -rf $(html_doc_dir)/doctrees
endif

## python-pygit2 1.19.0

=== requirements.txt ===
cffi>=2.0
setuptools ; python_version >= "3.12"

=== debian/changelog ===
python-pygit2 (1.19.0-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Drop "Python 2" from description

  [ Timo Röhling ]
  * New upstream version 1.19.0
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Tue, 28 Oct 2025 12:30:02 +0100

=== debian/control ===
--- 
+++ 
@@ -30,8 +30,8 @@
 Rules-Requires-Root: no
 Description: Python bindings for libgit2
  The Pygit2 module provides a set of Python bindings to the libgit2 shared
- library. libgit2 implements the core of Git. Pygit2 works with Python 2.7,
- 3.x and pypy.
+ library. libgit2 implements the core of Git. Pygit2 works with CPython
+ and pypy.
 
 Package: python3-pygit2
 Architecture: any

=== debian/watch ===
Version: 5

Template: Github
Owner: libgit2
Project: pygit2

## python-pygit2 1.19.1

=== Makefile ===
.PHONY: build html

build:
	OPENSSL_VERSION=3.5.4 LIBSSH2_VERSION=1.11.1 LIBGIT2_VERSION=1.9.2 sh build.sh

html: build
	make -C docs html

=== debian/changelog ===
python-pygit2 (1.19.1-1) unstable; urgency=medium

  * New upstream version 1.19.1
  * Refresh patches (no functional changes)
  * Bump Standards-Version to 4.7.3

 -- Timo Röhling <roehling@debian.org>  Fri, 02 Jan 2026 23:29:20 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  python3-setuptools,
  python3-sphinx-rtd-theme:native <!nodoc>,
  python3-sphinx:native <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pygit2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pygit2.git
 Homepage: https://github.com/libgit2/pygit2
